Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.wml.dom
Class WMLSelectElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.wml.dom.WMLElementImpl
                                    |
                                    +--org.apache.wml.dom.WMLSelectElementImpl

public class WMLSelectElementImpl
extends WMLElementImpl
implements WMLSelectElement

Version:
  $Id: WMLSelectElementImpl.java,v 1.1 2000/04/23 18:07:48 david Exp $
Author:
  David Li
See Also:
  Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`WMLSelectElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getId()`
`java.lang.String` | `getIName()`
`java.lang.String` | `getIValue()`
`boolean` | `getMultiple()`
`java.lang.String` | `getName()`
`int` | `getTabIndex()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getValue()`
`java.lang.String` | `getXmlLang()`
`void` | `setClassName(java.lang.String newValue)` The 'class' attribute of a element that affiliates an elements with one or more elements.
`void` | `setId(java.lang.String newValue)` The element's identifier which is unique in a single deck.
`void` | `setIName(java.lang.String newValue)` 'iname' specifies name of variable to be set with the index result of selection.
`void` | `setIValue(java.lang.String newValue)` 'ivalue' specifies the default of the variable 'iname'
`void` | `setMultiple(boolean newValue)` 'multiple' indicates whether a list accept multiple selection (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
`void` | `setName(java.lang.String newValue)` 'name' specifies the name of variable to be set.
`void` | `setTabIndex(int newValue)` 'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
`void` | `setTitle(java.lang.String newValue)` 'title' specifies a title for this element (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
`void` | `setValue(java.lang.String newValue)` 'value' specifics the default value of the variable of 'name' (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(java.lang.String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMLSelectElementImpl

    public WMLSelectElementImpl(WMLDocumentImpl owner,
                                java.lang.String tagName)

Method Detail

### setMultiple

    public void setMultiple(boolean newValue)

  Description copied from interface: WMLSelectElement
  'multiple' indicates whether a list accept multiple selection (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
  Specified by:
    setMultiple in interface WMLSelectElement

### getMultiple

    public boolean getMultiple()

  Specified by:
    getMultiple in interface WMLSelectElement

### setValue

    public void setValue(java.lang.String newValue)

  Description copied from interface: WMLSelectElement
  'value' specifics the default value of the variable of 'name' (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
  Specified by:
    setValue in interface WMLSelectElement

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface WMLSelectElement

### setTabIndex

    public void setTabIndex(int newValue)

  Description copied from interface: WMLSelectElement
  'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
  Specified by:
    setTabIndex in interface WMLSelectElement

### getTabIndex

    public int getTabIndex()

  Specified by:
    getTabIndex in interface WMLSelectElement

### setClassName

    public void setClassName(java.lang.String newValue)

  Description copied from interface: WMLElement
  The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)
  Overrides:
    setClassName in class WMLElementImpl

### getClassName

    public java.lang.String getClassName()

  Overrides:
    getClassName in class WMLElementImpl

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  Description copied from interface: WMLSelectElement
  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)
  Specified by:
    setXmlLang in interface WMLSelectElement
  Overrides:
    setXmlLang in class WMLElementImpl

### getXmlLang

    public java.lang.String getXmlLang()

  Specified by:
    getXmlLang in interface WMLSelectElement
  Overrides:
    getXmlLang in class WMLElementImpl

### setTitle

    public void setTitle(java.lang.String newValue)

  Description copied from interface: WMLSelectElement
  'title' specifies a title for this element (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
  Specified by:
    setTitle in interface WMLSelectElement

### getTitle

    public java.lang.String getTitle()

  Specified by:
    getTitle in interface WMLSelectElement

### setIValue

    public void setIValue(java.lang.String newValue)

  Description copied from interface: WMLSelectElement
  'ivalue' specifies the default of the variable 'iname'
  Specified by:
    setIValue in interface WMLSelectElement

### getIValue

    public java.lang.String getIValue()

  Specified by:
    getIValue in interface WMLSelectElement

### setId

    public void setId(java.lang.String newValue)

  Description copied from interface: WMLElement
  The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)
  Overrides:
    setId in class WMLElementImpl

### getId

    public java.lang.String getId()

  Overrides:
    getId in class WMLElementImpl

### setIName

    public void setIName(java.lang.String newValue)

  Description copied from interface: WMLSelectElement
  'iname' specifies name of variable to be set with the index result of selection. (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
  Specified by:
    setIName in interface WMLSelectElement

### getIName

    public java.lang.String getIName()

  Specified by:
    getIName in interface WMLSelectElement

### setName

    public void setName(java.lang.String newValue)

  Description copied from interface: WMLSelectElement
  'name' specifies the name of variable to be set. (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
  Specified by:
    setName in interface WMLSelectElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface WMLSelectElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.